
Summary: Python bindings for Qt4 Webkit
Name:    PyQt4-webkit
Version: 4.10.1
Release: 1%{?dist}

# GPLv2 exceptions(see GPL_EXCEPTIONS*.txt)
License: (GPLv3 or GPLv2 with exceptions) and BSD
Url:     http://www.riverbankcomputing.com/software/pyqt/
Source0:  http://downloads.sourceforge.net/pyqt/PyQt-x11-gpl%{?snap:-snapshot}-%{version}%{?snap:-%{snap}}.tar.gz

## upstreamable patches
# fix multilib conflict because of timestamp
Patch50:  PyQt-x11-gpl-4.9.5-timestamp_multilib.patch
# multilib-safe(r)  opengl_types.sip (hopefully)
# simpler approach may be to not try to change these at buildime (only verify),
# if /usr/include/GL/gl.h ever changes these types, we have bigger problems
Patch51:  PyQt-x11-gpl-4.9.1-opengl_types.patch
Patch52:  PyQt-x11-gpl-4.10-pyuic_shbang.patch

## upstream patches
# fix FTBFS on ARM
Patch60:  qreal_float_support.diff

BuildRequires: findutils
BuildRequires: pkgconfig(dbus-1) pkgconfig(dbus-python)
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtDeclarative) pkgconfig(QtDesigner)
BuildRequires: pkgconfig(QtGui) pkgconfig(QtHelp) pkgconfig(QtMultimedia)
BuildRequires: pkgconfig(QtNetwork) pkgconfig(QtOpenGL)
BuildRequires: pkgconfig(QtScript) pkgconfig(QtScriptTools)
BuildRequires: pkgconfig(QtSql) pkgconfig(QtSvg) pkgconfig(QtTest)
BuildRequires: pkgconfig(QtXml) pkgconfig(QtXmlPatterns)
BuildRequires: pkgconfig(QtWebKit)
BuildRequires: python2-devel
BuildRequires: sip-devel >= 4.14.3

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

%filter_provides_in %{python_sitearch} %{?_qt4_plugindir}
%filter_setup

%description
%{summary}.

%package devel
Summary: Files needed to build other bindings based on Qt4 WebKit
Requires: PyQt4-devel
BuildArch: noarch
%description devel
%{summary}.


%prep
%setup -q -n PyQt-x11-gpl%{?snap:-snapshot}-%{version}%{?snap:-%{snap}}

%patch50 -p1 -b .timestamp
%patch51 -p1 -b .opengl_types
%patch52 -p1 -b .pyuic_shbang
# save orig for comparison later
cp -a ./sip/QtOpenGL/opengl_types.sip ./sip/QtOpenGL/opengl_types.sip.orig
%patch60 -p1 -b .arm

# permissions, mark examples non-executable
find examples/ -name "*.py" | xargs chmod a-x
chmod a+rx pyuic/uic/pyuic.py


%build

QT4DIR=%{_qt4_prefix}
PATH=%{_qt4_bindir}:$PATH ; export PATH

%{__python2} configure.py \
  --assume-shared \
  --confirm-license \
  --no-timestamp \
  --qmake=%{_qt4_qmake} \
  --verbose

make %{?_smp_mflags} -C QtWebKit/


%install
make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot} -C QtWebKit/



%files
%{python2_sitearch}/PyQt4/QtWebKit.so

%files devel
%{_datadir}/sip/PyQt4/


%changelog
* Sat Mar 22 2014 Rex Dieter <rdieter@fedoraproject.org> 4.10.1-1
- adapt el6 PyQt4-webkit for epel-7

